Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.kie.api.definition.rule
Enum Propagation.Type

    java.lang.Object
      java.lang.Enum<Propagation.Type>
          org.kie.api.definition.rule.Propagation.Type

All Implemented Interfaces:
  Serializable, Comparable<Propagation.Type>

Enclosing class:
  Propagation

    public static enum Propagation.Type

extends Enum<Propagation.Type>

Enum Constant Summary
`EAGER`
`IMMEDIATE`
`LAZY`

Method Summary
`static Propagation.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Propagation.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMMEDIATE

    public static final Propagation.Type IMMEDIATE

### EAGER

    public static final Propagation.Type EAGER

### LAZY

    public static final Propagation.Type LAZY

Method Detail

### values

    public static Propagation.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Propagation.Type c : Propagation.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Propagation.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.